# ApiUpdateGlobalTruststoreArguments Data Model

Arguments to update certificates from the Auto-TLS truststore

Properties
name | data type | description
--- | --- | ---
newCertLocation | string | The location of the new certificate on the disk to be added to the Auto-TLS truststore. PEM format is required. Specify either this or a NewCertContent.

newCertContent

string

The content of the new certificate to be added to the Auto-TLS truststore. Specify either this or a NewCertLocation.
The certificate, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character '\n'.
A value will typically look like the following string:
-----BEGIN CERTIFICATE-----\n[base-64 encoded key]\n-----END CERTIFICATE-----

Example

    {
      "newCertLocation" : "...",
      "newCertContent" : "..."
    }